BooleExponent.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/BooleMonomial.h>`
`#include <polybori/BooleVariable.h>`

Go to the source code of this file.

## Classes

class | polybori::BooleExponent
| This class is just a wrapper for using variables for storing indices as interim data structure for BooleMonomial. More...

## Namespaces

| polybori

## Functions

template<class RHSType >
BooleExponent | polybori::operator+ (const BooleExponent &lhs, const RHSType &rhs)
| Multiplication of monomials. More...
template<class RHSType >
BooleExponent | polybori::operator- (const BooleExponent &lhs, const RHSType &rhs)
| Division of monomials. More...
BooleExponent | polybori::GCD (const BooleExponent &lhs, const BooleExponent &rhs)
| Compute the greatest common divisor of two monomials. More...
BooleExponent | polybori::LCM (const BooleExponent &lhs, const BooleExponent &rhs)
| Compute the greatest common divisor of two monomials. More...
BooleExponent::ostream_type & | polybori::operator<< (BooleExponent::ostream_type &os, const BooleExponent &rhs)
| Stream output operator. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-08-23

This file carries the definition of class `BooleExponent`, which can be used as interim storage for boolean monomials.

Copyright:
  (c) 2006 by The PolyBoRi Team